Namespace MultiServing.ProfileManager.Helpers
	Public Module MiscExtensions
		<System.Runtime.CompilerServices.Extension>
		Public Function ToInt(ByVal theString As String, Optional ByVal defaultNumber As Int32 = 0) As Int32
			Dim number As Int32
			Dim success = Int32.TryParse(theString, number)
			Return If(success, number, defaultNumber)
		End Function

		<System.Runtime.CompilerServices.Extension>
		Public Function ToBool(ByVal theString As String) As Boolean
			Dim value As Boolean
			Dim success = Boolean.TryParse(theString, value)
			Return success AndAlso value
		End Function

		<System.Runtime.CompilerServices.Extension>
		Public Function ContainsAny(ByVal theString As String, ParamArray ByVal tokens() As String) As Boolean
			Dim lowerCaseString = theString.ToLower
            Return tokens.Any(AddressOf lowerCaseString.Contains)
		End Function
	End Module
End Namespace
