Imports System.Web.Mvc
Imports MultiServing.Services.Home
Imports MultiServing.Services.Shared

Namespace MultiServing.Controllers
	Public Class HomeController
		Inherits Controller

		Private ReadOnly _service As IHomeOrchestrator

		Public Sub New()
			Me.New(New HomeOrchestrator)
		End Sub

		Public Sub New(ByVal service As IHomeOrchestrator)
			_service = service
		End Sub

		Public Function Index() As ActionResult
			' Basic info
			Dim model = _service.GetModelForIndex

			' Add device specific logic
			model.GotoAppStoreLink = _service.GetAppStoreLink(Request.UserAgent)

			Return View(model)
		End Function
	End Class
End Namespace
