Imports System.Web.Mvc
Imports MultiServing.ProfileManager.Core

Namespace MultiServing.Framework.Wurfl
	Public Class SimpleDependencyResolver
		Implements IDependencyResolver

        Public Function GetService(ByVal serviceType As Type) As Object Implements IDependencyResolver.GetService
            If serviceType Is GetType(IDeviceProfiler) Then
                Return New WurflDeviceProfiler
            End If
            Return Nothing
        End Function

        Public Function GetServices(ByVal serviceType As Type) As IEnumerable(Of Object) Implements IDependencyResolver.GetServices
            Return Enumerable.Empty(Of Object)()
        End Function
	End Class
End Namespace
