Imports MultiServing.ProfileManager.Core

Namespace MultiServing.Framework.Wurfl
	Public Class WurflDeviceProfiler
		Inherits DefaultDeviceProfiler

		Public Overrides Function IsMobile(ByVal userAgent As String) As Boolean
			Dim device = MyApp.WurflContainer.GetDeviceForRequest(userAgent)
			Return device.IsWireless
		End Function

		Public Overrides Function IsSmartphone(ByVal userAgent As String) As Boolean
			Dim device = MyApp.WurflContainer.GetDeviceForRequest(userAgent)
			Return device.IsWireless AndAlso (Not device.IsTablet) AndAlso device.IsTouch AndAlso device.Width > 240 AndAlso (device.HasOs("android", New Version(2, 1)) OrElse device.HasOs("iphone os", New Version(3, 2)) OrElse device.HasOs("windows phone os", New Version(7, 1)) OrElse device.HasOs("rim os", New Version(6, 0)))
		End Function

		Public Overrides Function IsTablet(ByVal userAgent As String) As Boolean
			Dim device = MyApp.WurflContainer.GetDeviceForRequest(userAgent)
			Return device.IsTablet
		End Function
	End Class
End Namespace
