Namespace MultiServing.ViewModels.Home
	Public Class IndexViewModel
		Inherits ViewModelBase

		' Desktop 
		' Not supported in this site; so just display a friendly message
		Public Property StatusMessage As String

		' Mobile
		' We just display a 3x3 menu with (small) icons -- no special model is required

		' Tablet|Smartphone
		' We display pic-of-the-day and hot-news plus a 4x2 menu. Different dimensions and layout for tablets.
		' We also show a link to the app-store if there's an app for the particular OS.
		Public Property ImageUrl As String

		Public Property HotNews As String

		Public Property GotoAppStoreLink As String
	End Class
End Namespace
